Configure a Computer Agent channel
curl --request POST \
--url 'https://api.vida.dev/api/v2/computer/accounts/{targetAccountId}/channels/configure?token=' \
--header 'Content-Type: application/json' \
--data '
{
"channel": "<string>",
"connection": {},
"access": {},
"enabled": true
}
'import requests
url = "https://api.vida.dev/api/v2/computer/accounts/{targetAccountId}/channels/configure?token="
payload = {
"channel": "<string>",
"connection": {},
"access": {},
"enabled": True
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({channel: '<string>', connection: {}, access: {}, enabled: true})
};
fetch('https://api.vida.dev/api/v2/computer/accounts/{targetAccountId}/channels/configure?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Computer Agents
Configure a Computer Agent channel
Connects, updates, enables, or disables one supported channel for the selected Computer Agent. Send the channel identifier with the connection and access fields defined by the channel catalog. Vida assigns the connection and incoming messages to the selected Computer Agent automatically.
POST
/
api
/
v2
/
computer
/
accounts
/
{targetAccountId}
/
channels
/
configure
Configure a Computer Agent channel
Authorizations
Vida API Token
Path Parameters
Body
application/json
Response
200
Successful response
⌘I